org.jboss.jca.as.converters.wls.metadata

## Class InboundGroupPrincipalMappingImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.InboundGroupPrincipalMappingImpl

- All Implemented Interfaces:
    java.io.Serializable, InboundGroupPrincipalMapping, WlsMetadata

      public class InboundGroupPrincipalMappingImpl
      extends java.lang.Object
      implements InboundGroupPrincipalMapping

  A generic InboundGroupPrincipalMapping.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.InboundGroupPrincipalMapping

      `InboundGroupPrincipalMapping.Attribute, InboundGroupPrincipalMapping.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InboundGroupPrincipalMappingImpl(java.lang.String eisGroup, java.lang.String mappedGroup)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEisGroupPrincipal()` getEisGroupPrincipal
    `java.lang.String` | `getMappedGroupPrincipal()` getMappedGroupPrincipal

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InboundGroupPrincipalMappingImpl

          public InboundGroupPrincipalMappingImpl(java.lang.String eisGroup,
                                                  java.lang.String mappedGroup)

      constructor
      Parameters:
        `eisGroup` - eisGroup
        `mappedGroup` - mappedGroup

  - ### Method Detail

    - #### getEisGroupPrincipal

          public java.lang.String getEisGroupPrincipal()

      Description copied from interface: `InboundGroupPrincipalMapping`
      getEisGroupPrincipal
      Specified by:
        `getEisGroupPrincipal` in interface `InboundGroupPrincipalMapping`
      Returns:
        the EisGroupPrincipal

    - #### getMappedGroupPrincipal

          public java.lang.String getMappedGroupPrincipal()

      Description copied from interface: `InboundGroupPrincipalMapping`
      getMappedGroupPrincipal
      Specified by:
        `getMappedGroupPrincipal` in interface `InboundGroupPrincipalMapping`
      Returns:
        the MappedGroupPrincipal

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)